In this exercise, we receive an arbitrary # of doors (100 in the title, but not always). We manipulate those doors over and over, then return a result based on the final state after the manipulations.
Month: January 2022
Notes from the Job Hunt – Week 3 – Day 1
So what is my ideal product fit? I’m glad you asked because this is something I’ll need to talk about in interviews.
The Coding Interview: Updating Inventory
We have two 2-dimensional arrays in the form of `[[count, “product1”], [count, “product2”],…]`. The task is to compare them. Where a product exists in both arrays, add the sum of the two counts and the product name in the final array. If the item is unique to either array, add it to the final array. Return the final array, alphabetically sorted…
Job Hunt Diary – Week 2 – Day 5
Not only do I not have Boomi anywhere on my resume, I always thought Boomi was Avatar Ang’s childhood friend, leader of the Earth Kingdom, and super-ripped old guy, not a tech stack.
The Coding Interview: Create A Circular Queue
This is a data structure problem. A circular queue allows you to specify a size for easier memory management. It’s initialized with a set number of slots. Each write operation fills a slot, each read operation empties a slot.
Notes from the Job Hunt – Week 2 – Day 4
2 p.m. Today is a day without calls, which is fine. I have three scheduled for next week and a couple where I need to provide some times to people. I’m still…
The Coding Interview: Implement a Bubble Sort
This series answers coding interview questions from the Coding Interview Prep collection at freeCodeCamp. You can find more with the interview questions tag. I’ve had 8 different blogs since 1995, two of…
Notes from the Job Hunt – Week 2 – Day 3
Last Night I’d mentioned a contact from a recruiter who had recruited me a few years ago, but some uncertainty about whether or not I had the bonafides needed to be cleared…
The Coding Interview: Implement Binary Search
In this implementation of a binary search, you’re presented a sorted array of values and a target value to find within it.
The Coding Interview: Find the Symmetric Difference
The concept is to find the numbers in two arrays that do not repeat in both. If you’re comparing more than 2 arrays, you compare the next array (and beyond) to the result of the last comparison.
Notes from the Job Hunt – Week 2 Day 2
12:30 p.m. I found three interesting roles on LinkedIn last night and applied for them. No response yet, but it’s only halfwayish through the day on the West Coast as I write…
Notes from the Job Hunt: Week 2 – Day 1
3:00 p.m. I honestly thought I was going to have to get at this later today. Between incoming contacts, a doctor appointment, and 3 calls, I was going to be pretty busy…
Notes from the Job Hunt: Day 4
Noon Friday morning has been minimal on the legit front, but last night I decided to add CareerBuilder (mostly for entertainment value) and improve my Monster profile, sparking a wave of new…
Alien Shootz – a Space Invaders clone
Here’s another game demo rescued from the old site. I created this using the Phaser JavaScript game library, back in 2018, for the purposes of teaching the kids at Seattle CoderDojo how…
Notes from the Job Hunt: Day 3
I’m “liveblogging” with 10 a.m.(ish) and 5 p.m.(ish) updates. 10 a.m. Last night I got a response from the recruiter I knew from our interactions ~4 years ago. Yes, the job is…